Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter
Class AdapterDCService

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCDataControl
oracle.adf.model.generic.DCGenericDataControl
oracle.adf.model.adapter.AdapterDCService`

All Implemented Interfaces:
  DataControl, oracle.adf.model.DataControl, DCDataControlManagement, java.util.Map

public class AdapterDCService
extends DCGenericDataControl

Provides services to the adapter created data controls for handling collection and bean based data.

This class is created by the `DataControlFactoryImpl` to create a service for the data controls that the ADF stacks uses. Created: Thu Nov 04 12:07:04 2004

Since:
  10.1.3
Version:
  1.0

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.adf.model.generic.DCGenericDataControl
`DC_ROOT_ACC_NAME, mDef, mRSIs, mStructureDefs`

Fields inherited from class oracle.adf.model.binding.DCDataControl
`ABSTRACT, GET_ApplicationModule, GET_dataProvider, GET_DataProvider, GET_MethodResults, GET_Name, JCLIENT, mBindingContainerList, mDataProvider, mErrorHandler, mErrorHandlerActive, mErrorHandlerThrow, mIsRoot, mLocaleCtx, mName, mParent, mRootApplication, mStatusBarList, mTxnListeners, mUserData, OPER_CTRL_BINDING_VALIDATION, OPER_DATA_ROW_CREATE, OPER_DATA_ROW_REMOVE, OPER_DATA_ROW_UPDATE, OPER_EXECUTE, OPER_FIND_MODE, OPER_SORT_COLLECTION, PNAME_Type, REL_ALL_REFS, REL_DATA_REFS, REL_VIEW_REFS, REL_WEAK_DATA_REFS`

Method Summary
`protected void` | `applySortCriteria(DCIteratorBinding iter, oracle.jbo.SortCriteria[] sortby)` Sets the sort critiera that will be applied next time when the source for this iteratorBinding is executed.
`protected java.lang.Object` | `fetchProviderProperty(java.lang.String propName)` Fetches the data from the data control.
`boolean` | `hasOperationParamsChanged(OperationInfo operationInfo)` Check if the operation params has changed during an iterator execution.
`boolean` | `invokeOperation(java.util.Map bindingContext, OperationBinding action)` Invokes the action associated with this data control.

Methods inherited from class oracle.adf.model.generic.DCGenericDataControl
`applyViewCriteria, beginRequest, closeRowSetIterators, commitTransaction, createCriteriaRowMatch, createRowData, createRowSetIteratorImpl, createViewCriteria, endRequest, executeIteratorBinding, executeIteratorBindingIfNeeded, executeMethodIterators, fetchProperty, fetchRowSetIterator, findOrCreateAccessorRowSetIterator, findOrCreateAccessorRowSetIterator, findOrCreateMethodRowSetIterator, findRootRowSetIterator, findStructureDef, getAccessorDefs, getAccessorValue, getAttributeDefs, getAttributeDefs, getCriteriaAdapter, getDataProvider, getDefinition, getEstimatedRowCount, getRowSetIterator, getSortCriteria, getViewCriteria, initDCProperties, initializeBindingContainer, initializeRSIs, invokeMethod, isAttributeSortable, isOperationSupported, isTransactionDirty, registerDataProvider, release, removeRowData, resetState, restoreRSIs, rollbackTransaction, setCurrentRowWithKey, setCurrentRowWithKey, setCurrentRowWithKeyValue, validate`

Methods inherited from class oracle.adf.model.binding.DCDataControl
`addBindingContainer, addBindingContainer, addBindingContainer, addBindingContainerRef, addBindingWithExc, addOrCreateBindingContainer, addStatusBarInterface, addTransactionStateListener, cacheMethodResult, callCommitTransaction, cleanup, connect, createAccessorRowSetIterator, createAccessorRowSetIterator, createAccessorRowSetIterator, createBindingContainer, createBindingContainerInstance, createRowSetIteratorImpl, displayStatus, displayStatus, doneCommit, doneRollback, executeIteratorBindingWithParams, findBindingContainer, findOrCreateRowSetIteratorImpl, findVariable, focusGained, get, getApplicationModule, getBindingContext, getCurrentErrorHandler, getDef, getErrorHandlerActive, getLocaleContext, getMethodResults, getMethodResultUseCount, getName, getParent, getRootDataControl, getSecurityContext, getSessionContext, getSessionContextManager, getUserData, hasBindingsWithExc, hashCode, hasPermission, hasPermission, hasPermission, initialize, initializeContainerFromDef, initializeFromMetadata, internalGet, internalGetCurrentRow, internalPut, internalSetTransactionStateChanged, invokeMethod, isBoundRowIteratorEvent, isClientTier, isJClientApp, isRoot, isTransactionModified, rebuildIteratorIfNeeded, release, removeBindingContainer, removeBindingWithExc, removeRowDataFromCollection, removeStatusBarInterface, removeTransactionStateListener, reportException, resetAttributeExceptionInRow, resolveAttributeDefs, setAttributeInRow, setBindingContext, setClientApp, setDataProvider, setDef, setErrorHandler, setErrorHandlerActive, setLocaleContext, setName, setSessionContext, setTransactionModified, sync, syncIfNeeded, syncNeeded, toString, transactionStateChanged`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, put`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### fetchProviderProperty

    protected java.lang.Object fetchProviderProperty(java.lang.String propName)

  Fetches the data from the data control.
  Overrides:
    `fetchProviderProperty` in class `DCGenericDataControl`

### invokeOperation

    public boolean invokeOperation(java.util.Map bindingContext,
                                   OperationBinding action)

  Invokes the action associated with this data control. The WebService data control invokes the operation to return the data collection assoicated with the operation invocation.
  Specified by:
    `invokeOperation` in interface `DataControl`
  Overrides:
    `invokeOperation` in class `DCGenericDataControl`
  Parameters:
    `bindingContext` - A binding context that provide access to all binding related objects.
    `action` - The action to be performed by the data control. For the Webservice data control, the action to be invoked is the webservice operation.
  Returns:
    `true` if this datacontrol has handled this action, false if the action should be interpreted in the bindings framework or in the caller.

### hasOperationParamsChanged

    public boolean hasOperationParamsChanged(OperationInfo operationInfo)

  Check if the operation params has changed during an iterator execution. This method decides whether to call a method. If the parameter values are changed the method will be called again to get the result for the changed value. Otherwise it'll call the AbstractImpl (if implemented) to decide whether to call the method again.
  Overrides:
    `hasOperationParamsChanged` in class `DCDataControl`
  Parameters:
    `operationInfo` - The `OperationInfo` whose parameters need to evaluated to decide this params changed condition.
  Returns:
    `true` if the operation parameters have changed. Otherwise calls the impl to decide. If the impl is not available, i.e. the data control is not an AbstractImpl, it returns false.

### applySortCriteria

    protected void applySortCriteria(DCIteratorBinding iter,
                                     oracle.jbo.SortCriteria[] sortby)

  Sets the sort critiera that will be applied next time when the source for this iteratorBinding is executed.
  Overrides:
    `applySortCriteria` in class `DCGenericDataControl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.